List Products
curl --request GET \
--url https://api.example.com/merchant/product/listimport requests
url = "https://api.example.com/merchant/product/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/merchant/product/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
Products
List Products
List all products
GET
/
merchant
/
product
/
list
List Products
Get a list of all products for the merchant.
integer
Page number (default: 1)
integer
Items per page (default: 10)
boolean
Filter by active status
boolean
Indicates if the request was successful
array
Array of product objects
object
Pagination information
Example Request
curl -X GET "https://api.transaction.gg/merchant/product/list?page=1&limit=10&active=true" \
-H "Authorization: Bearer jwt_token"
Example Response
{
"success": true,
"data": {
"products": [
{
"id": "prod_X4dUuzsMaruQ4UsX",
"name": "Premium Plan",
"description": "Monthly premium subscription",
"recurring": true,
"recurringInterval": "monthly",
"active": true,
"createdAt": "2024-01-01T00:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1
}
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
⌘I